net.fortuna.ical4j.model

## Class CalendarException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.fortuna.ical4j.model.CalendarException

All Implemented Interfaces:
  Serializable

    public class CalendarException
    extends RuntimeException

Author:
  fortuna
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CalendarException(String message)`
`CalendarException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CalendarException

    public CalendarException(String message)

Parameters:
  `message` - an exception detail message

#### CalendarException

    public CalendarException(Throwable cause)

Parameters:
  `cause` - the cause exception